%define date    20171022
%define commit  4368bb77d9d1abc2978af514225ba4a42c29a646

Name:           signon-ui
Version:        0.15
Release:        %mkrel %{?date:7.git%date.}1
Summary:        Online Accounts Sign-on Ui
Group:          Development/KDE and Qt
License:        GPLv3
# https://launchpad.net/signon-ui
URL:            https://gitlab.com/accounts-sso/signon-ui
Source0:        https://gitlab.com/accounts-sso/signon-ui/-/archive/%{commit}/%{name}-%{version}%{?date:-%date}.tar.bz2
#Source0: https://launchpad.net/signon-ui/trunk/%%{version}/+download/%%{name}-%%{version}.tar.bz2
Patch1:         signon-ui-0.15-dont-install-tests.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(signond)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt5)
BuildRequires:  pkgconfig(accounts-qt5)

%description
Sign-on UI is the component responsible for handling the user interactions
which can happen during the login process of an online account.
It can show password dialogs and dialogs with embedded web pages.

%files
%doc README TODO NOTES
%license COPYING
%{_bindir}/signon-ui
%{_datadir}/applications/signon-ui.desktop
%{_datadir}/dbus-1/services/com.canonical.indicators.webcredentials.service
%{_datadir}/dbus-1/services/com.nokia.singlesignonui.service
%dir %{_sysconfdir}/signon-ui
%{_sysconfdir}/signon-ui/webkit-options.d

#----------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{!?date:%version}%{?date:%commit}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Own directory where others can install provider-specific configuration
mkdir -p %{buildroot}%{_sysconfdir}/signon-ui/webkit-options.d


%changelog
* Tue Mar 21 2023 daviddavid <daviddavid> 0.15-7.git20171022.1.mga9
+ Revision: 1949974
- update to latest git snapshot as of 20171022 to make it build with QtWebengine
  * https://gitlab.com/accounts-sso/signon-ui/-/commit/4368bb77

* Tue Apr 05 2022 umeabot <umeabot> 0.15-6.mga9
+ Revision: 1845001
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.15-5.mga8
+ Revision: 1659850
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.15-4.mga8
+ Revision: 1525037
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.15-3.mga7
+ Revision: 1384816
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.15-2.mga7
+ Revision: 1301030
- Mageia 7 Mass Rebuild

* Fri Jul 15 2016 daviddavid <daviddavid> 0.15-1.mga6
+ Revision: 1042207
- imported package signon-ui

